.filters-wrapper {
  @include removeFilling(16px, 24px);
  background: $color-grey-03;
  padding-top: 15px;
  padding-bottom: 20px;

  @include desktop {
    padding: 20px;
  }

  > h1,
  > h2,
  > h3,
  > h4,
  > h5,
  > h6 {
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 20px;
  }

  .markdown {
    margin-bottom: 20px;

    p {
      margin-top: 0;

      &:last-child {
        margin-bottom: 0;
      }
    }

    + form {
      padding-top: 10px;
    }
  }

  form {

    > fieldset {
      border: none;
      padding: 0;
      margin: 0;

      @include tablet {
        display: flex;
        flex-wrap: wrap;
      }

      > * {
        margin-bottom: 20px;

        &:last-child {
          margin-bottom: 0;
        }
      }

      > legend {
        display: block;
        width: 100%;
        font-size: 20px;
        font-weight: 500;
        padding: 0;
        margin-bottom: 15px;
        position: relative;

        span {
          display: inline-block;
          background: $color-grey-03;
          padding-right: 10px;
          position: relative;
        }

        &:before {
          content: '';
          display: inline-block;
          width: 100%;
          height: 1px;
          background: $color-blue-02;
          transform: translate3d(0, 50%, 0);
          position: absolute;
          top: 50%;
          left: 0;
        }
      }

      .field-label {

        .title {
          font-size: 16px;
          font-weight: 500;
        }
      }

      .dynform-field {

        @include tablet {
          margin-right: 20px;
        }

        &.form-field-administrative_division_parent_reference,
        &.form-field-administrative_division_reference {
          width: 100%;

          @include tablet {
            margin-right: 0;
          }
        }

        &.form-field-administrative_division_reference {
          .options-wrapper {
            margin-top: 10px;

            .type {
              font-weight: bold;
            }
          }
        }
      }

      .field-input {
        select {
          width: 100%;
          margin-left: 0;
        }
      }

      fieldset {
        width: 100%;
      }
    }

    .dynform-multivalued.form-type-radio {

      @include tablet {
        display: flex;
        flex-wrap: wrap;
      }

      li {
        margin-bottom: 20px;

        @include tablet {
          margin-right: 20px;
        }

        @include desktop {
          margin-right: 30px;
        }

        &.dynform-item {
          @include tablet {
            margin-bottom: 10px;
          }

          &:last-child {
            margin-bottom: 10px;
          }
        }

        &:last-child {
          margin-bottom: 0;

          @include tablet {
            margin-right: 0;
          }
        }
      }
    }
  }
}
